JAVAC = @JAVAC@
JAVACFLAGS = @JAVACFLAGS@

CLASSES = Phind.class ResultCanvas.class ResultItemDocument.class \
          ResultTitle.class PhindTitle.class ResultDisplay.class \
          ResultItemLink.class ResultBox.class ResultItem.class \
          ResultItemPhrase.class PhindTitle.class URLUTF8Encoder.class

all: Phind.jar

install:
	cp Phind.jar ../../../../../../../web/java/

clean:
	rm -f $(CLASSES) Phind.jar

Phind.jar: $(CLASSES)
	jar cf Phind.jar org

%.class : %.java
	$(JAVAC) $(JAVACFLAGS) -d . -classpath ../../../.. $<
